﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="View.ascx.cs" Inherits="DotNetNuke.Modules.LinqThings4Sale.View" %>
<asp:LinqDataSource ID="LinqDataSource1" runat="server" 
    ContextTypeName="LinqThings4Sale.LinqThings4SaleDataContext" 
    EnableDelete="True" EnableInsert="True" EnableUpdate="True" 
    TableName="ThingsForSales" Where="ModuleId == @ModuleId" 
    oninserted="LinqDataSource1_Inserted" oninserting="LinqDataSource1_Inserting" 
    onselecting="LinqDataSource1_Selecting">
    <WhereParameters>
        <asp:Parameter Name="ModuleId" Type="Int32" />
    </WhereParameters>
</asp:LinqDataSource>
<asp:LinqDataSource ID="LinqDataSource2" runat="server" 
    ContextTypeName="LinqThings4Sale.LinqThings4SaleDataContext" 
    TableName="ThingsForSale_Categories">
</asp:LinqDataSource>
<asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
    AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ID" 
    DataSourceID="LinqDataSource1" onrowdatabound="GridView1_RowDataBound" 
    PageSize="5">
    <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" 
            ReadOnly="True" SortExpression="ID" Visible="False" />
        <asp:BoundField DataField="ModuleId" HeaderText="ModuleId" 
            SortExpression="ModuleId" Visible="False" />
        <asp:BoundField DataField="UserID" HeaderText="UserID" SortExpression="UserID" 
            Visible="False" />
        <asp:TemplateField HeaderText="Category" SortExpression="Category">
            <EditItemTemplate>
                <asp:DropDownList ID="DropDownList2" runat="server" 
                    DataSourceID="LinqDataSource2" DataTextField="Category" 
                    DataValueField="Category" SelectedValue='<%# Bind("Category") %>'>
                </asp:DropDownList>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="Label1" runat="server" Text='<%# Bind("Category") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField DataField="Description" HeaderText="Description" 
            SortExpression="Description" />
        <asp:BoundField DataField="Price" HeaderText="Price" SortExpression="Price" 
            DataFormatString="{0:c}" />
    </Columns>
</asp:GridView>
<p>
    <asp:LinkButton ID="LinkButton1" runat="server" onclick="LinkButton1_Click">Add 
    My Listing</asp:LinkButton>
    <br />
</p>
<asp:FormView ID="FormView1" runat="server" DataKeyNames="ID" 
    DataSourceID="LinqDataSource1" DefaultMode="Insert" Visible="False">
    <EditItemTemplate>
        ID:
        <asp:Label ID="IDLabel1" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        ModuleId:
        <asp:TextBox ID="ModuleIdTextBox" runat="server" 
            Text='<%# Bind("ModuleId") %>' />
        <br />
        UserID:
        <asp:TextBox ID="UserIDTextBox" runat="server" Text='<%# Bind("UserID") %>' />
        <br />
        Category:
        <asp:TextBox ID="CategoryTextBox" runat="server" 
            Text='<%# Bind("Category") %>' />
        <br />
        Description:
        <asp:TextBox ID="DescriptionTextBox" runat="server" 
            Text='<%# Bind("Description") %>' />
        <br />
        Price:
        <asp:TextBox ID="PriceTextBox" runat="server" Text='<%# Bind("Price") %>' />
        <br />
        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
            CommandName="Update" Text="Update" />
        &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
    </EditItemTemplate>
    <InsertItemTemplate>
        Category: 
        <asp:DropDownList ID="DropDownList1" runat="server" DataSource='<%# Bind("Category") %>'
SelectedValue='<%# Bind("Category") %>' 
            DataSourceID="LinqDataSource2" DataTextField="Category" 
            DataValueField="Category">
            <asp:ListItem>Home</asp:ListItem>
</asp:DropDownList>
&nbsp; Price: $
<asp:TextBox ID="PriceTextBox" runat="server" Text='<%# Bind("Price") %>' Width="56px"
CausesValidation="True" EnableViewState="False"></asp:TextBox><br />
<asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="PriceTextBox"
ErrorMessage="Price must be greater than 0" MaximumValue="99999" MinimumValue="1"></asp:RangeValidator>
<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="PriceTextBox"
ErrorMessage="A price is required"></asp:RequiredFieldValidator><br />
Description:<br />
<asp:TextBox ID="DescriptionTextBox" runat="server" Text='<%# Bind("Description") %>'
MaxLength="499" TextMode="MultiLine" Width="286px" EnableViewState="False"></asp:TextBox><br />
        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
            ControlToValidate="DescriptionTextBox" ErrorMessage="Description is required."></asp:RequiredFieldValidator>
        <br />
<asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
Text="Insert" OnClick="InsertButton_Click"></asp:LinkButton>
<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
Text="Cancel" OnClick="InsertCancelButton_Click"></asp:LinkButton>
</InsertItemTemplate>
    <ItemTemplate>
        ID:
        <asp:Label ID="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        ModuleId:
        <asp:Label ID="ModuleIdLabel" runat="server" Text='<%# Bind("ModuleId") %>' />
        <br />
        UserID:
        <asp:Label ID="UserIDLabel" runat="server" Text='<%# Bind("UserID") %>' />
        <br />
        Category:
        <asp:Label ID="CategoryLabel" runat="server" Text='<%# Bind("Category") %>' />
        <br />
        Description:
        <asp:Label ID="DescriptionLabel" runat="server" 
            Text='<%# Bind("Description") %>' />
        <br />
        Price:
        <asp:Label ID="PriceLabel" runat="server" Text='<%# Bind("Price") %>' />
        <br />
        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
            CommandName="Edit" Text="Edit" />
        &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
            CommandName="Delete" Text="Delete" />
        &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
            CommandName="New" Text="New" />
    </ItemTemplate>
</asp:FormView>
