﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotNetNuke;
using DotNetNuke.Security;
using LinqThings4Sale;

namespace DotNetNuke.Modules.LinqThings4Sale
{
    public partial class View : DotNetNuke.Entities.Modules.PortalModuleBase, Entities.Modules.IActionable
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if ((PortalSecurity.IsInRole("Registered Users") || PortalSecurity.IsInRole("Administrators")))
            {
                LinkButton1.Enabled = true;
            }
            else
            {
                LinkButton1.Text = "You must be logged in to add a Listing";
                LinkButton1.Enabled = false;
            }

        }
        protected void LinqDataSource1_Inserted(object sender, LinqDataSourceStatusEventArgs e)
        {
            this.GridView1.DataBind();
        }
        protected void LinqDataSource1_Inserting(object sender, LinqDataSourceInsertEventArgs e)
        {
            ThingsForSale ThingsForSale = (ThingsForSale)e.NewObject;

            ThingsForSale.UserID = Entities.Users.UserController.GetCurrentUserInfo().UserID;
            ThingsForSale.ModuleId = ModuleId;
        }
        protected void LinqDataSource1_Selecting(object sender, LinqDataSourceSelectEventArgs e)
        {
            e.WhereParameters["ModuleId"] = ModuleId;

        }
        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            this.FormView1.Visible = true;
            this.GridView1.DataBind();
        }
        protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if ((e.Row.RowType == DataControlRowType.DataRow))
            {
                ThingsForSale ThingsForSale = ((ThingsForSale)(e.Row.DataItem));

                if ((PortalSecurity.IsInRole("Administrators"))
                || (Entities.Users.UserController.GetCurrentUserInfo().UserID == (int)ThingsForSale.UserID))
                {
                    e.Row.Cells[0].Enabled = true;
                }
                else
                {
                    e.Row.Cells[0].Text = " ";
                }
            }

        }
        protected void InsertButton_Click(object sender, EventArgs e)
        {
            this.FormView1.Visible = false;
            LinkButton1.Text = "Update Successful - Add Another Listing";
            this.GridView1.DataBind();
        }

        protected void InsertCancelButton_Click(object sender, EventArgs e)
        {
            this.FormView1.Visible = false;
            this.GridView1.DataBind();
        }

        #region IActionable Members

        public DotNetNuke.Entities.Modules.Actions.ModuleActionCollection ModuleActions
        {
            get
            {
                Entities.Modules.Actions.ModuleActionCollection Actions = new Entities.Modules.Actions.ModuleActionCollection();
                Actions.Add(GetNextActionID(),
                "Edit Categories",
                Entities.Modules.Actions.ModuleActionType.AddContent,
                "",
                "",
                EditUrl(),
                false,
                SecurityAccessLevel.Edit,
                true, false);
                return Actions;
            }
        }

        #endregion
    }
}